# List

Launch stage: GA

`GET /api/2.0/notification-destinations`

Lists notification destinations.

API scopes: notifications

## Query parameters

- `page_token` (string, optional)
- `page_size` (int64, optional)
  Default: `20`

## Returns

- `results` (array of object, optional)
  - `id` (string, optional)
    UUID identifying notification destination.
    Example: `fe25e731-92f2-4838-9fb2-1ca364320a3d`
  - `display_name` (string, optional)
    The display name for the notification destination.
    Example: `My slack destination`
  - `destination_type` (string, optional)
    [Output-only] The type of the notification destination. The type can not be changed once set.
    Possible values: `SLACK`, `EMAIL`, `WEBHOOK`, `PAGERDUTY`, `MICROSOFT_TEAMS`
  - `config` (object, optional)
    The configuration for the notification destination. Will be exactly one of the nested configs. Only returns for users with workspace admin permissions.
    - `slack` (object, required)
      - `url` (string, optional)
        [Input-Only] URL for Slack destination.
        Example: `https://hooks.slack.com/services/T00000000/B00000000/XXXXXXXXXXXXXXXX`
      - `url_set` (boolean, optional)
        [Output-Only] Whether URL is set.
      - `oauth_token` (string, optional)
        [Input-Only] OAuth token for Slack authentication.
      - `oauth_token_set` (boolean, optional)
        [Output-Only] Whether OAuth token is set.
      - `channel_id` (string, optional)
        [Input-Only] Slack channel ID for notifications.
        Example: `C1234567890`
      - `channel_id_set` (boolean, optional)
        [Output-Only] Whether channel ID is set.
    - `email` (object, required)
      - `addresses` (array of string, optional)
        Email addresses to notify.
    - `generic_webhook` (object, required)
      - `url` (string, optional)
        [Input-Only] URL for webhook.
        Example: `https://my-webhook.com`
      - `url_set` (boolean, optional)
        [Output-Only] Whether URL is set.
      - `username` (string, optional)
        [Input-Only][Optional] Username for webhook.
        Example: `username`
      - `username_set` (boolean, optional)
        [Output-Only] Whether username is set.
      - `password` (string, optional)
        [Input-Only][Optional] Password for webhook.
        Example: `password`
      - `password_set` (boolean, optional)
        [Output-Only] Whether password is set.
    - `pagerduty` (object, required)
      - `integration_key` (string, optional)
        [Input-Only] Integration key for PagerDuty.
        Example: `XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX`
      - `integration_key_set` (boolean, optional)
        [Output-Only] Whether integration key is set.
    - `microsoft_teams` (object, required)
      - `url` (string, optional)
        [Input-Only] URL for Microsoft Teams webhook.
        Example: `https://outlook.office.com/webhook/XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX`
      - `url_set` (boolean, optional)
        [Output-Only] Whether URL is set.
      - `app_id` (string, optional)
        [Input-Only] App ID for Microsoft Teams App.
        Example: `00000000-0000-0000-0000-000000000000`
      - `app_id_set` (boolean, optional)
        [Output-Only] Whether App ID is set.
      - `auth_secret` (string, optional)
        [Input-Only] Secret for Microsoft Teams App authentication.
        Example: `0p8S~exampleSecretValue12345`
      - `auth_secret_set` (boolean, optional)
        [Output-Only] Whether secret is set.
      - `channel_url` (string, optional)
        [Input-Only] Channel URL for Microsoft Teams App.
      - `channel_url_set` (boolean, optional)
        [Output-Only] Whether Channel URL is set.
      - `tenant_id` (string, optional)
        [Input-Only] Tenant ID for Microsoft Teams App.
        Example: `aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee`
      - `tenant_id_set` (boolean, optional)
        [Output-Only] Whether Tenant ID is set.
- `next_page_token` (string, optional)
  Page token for next of results.

## Response

### List Destinations

```json
{
  "next_page_token": "ebz",
  "results": [
    {
      "destination_type": "SLACK",
      "display_name": "My slack destination",
      "id": "ae25e731-92f2-4838-9fb2-1ca364320a3a"
    },
    {
      "destination_type": "EMAIL",
      "display_name": "My email destination",
      "id": "be25e731-92f2-4838-9fb2-1ca364320a3b"
    },
    {
      "destination_type": "WEBHOOK",
      "display_name": "My webhook destination",
      "id": "ce25e731-92f2-4838-9fb2-1ca364320a3c"
    },
    {
      "destination_type": "PAGERDUTY",
      "display_name": "My pagerduty destination",
      "id": "de25e731-92f2-4838-9fb2-1ca364320a3d"
    },
    {
      "destination_type": "MICROSOFT_TEAMS",
      "display_name": "My microsoft teams destination",
      "id": "ee25e731-92f2-4838-9fb2-1ca364320a3e"
    }
  ]
}
```

